# Returns list of credit bureau reported accounts for a user

Endpoint: GET /connect/users/v1/{userId}/accounts
Version: all
Security: Bearer

## Path parameters:

  - `userId` (string, required)
    Id of the User

## Response 200 fields (application/json):

  - `userId` (string)
    Id of the User

  - `connectedAccounts` (array,null)
    List of Credit Accounts Successfully Connected

  - `connectedAccounts.accountId` (string,null)
    Id of the Open Banking Account Connected

  - `connectedAccounts.providerId` (string,null)
    Id of the Open Banking Provider

  - `connectedAccounts.brandId` (string,null)
    Id of the Open Banking Brand

  - `connectedAccounts.providerName` (string,null)
    Name of the Open Banking Provider

  - `connectedAccounts.creditInformationAccountStatus` (string,null)
    Account Status provided by the Credit Information Provider

  - `connectedAccounts.creditInformationAccountType` (string)
    Enum: "Other", "CurrentAccount", "CreditCard", "Mortgage", "Loan", "Savings", "BuyNowPayLater", "Utilities"

  - `connectedAccounts.currency` (string,null)
    Currency of the Account

  - `connectedAccounts.accountIdentifiers` (array,null)
    List of Account Identifiers

  - `connectedAccounts.accountIdentifiers.type` (string)
    Enum: "AccountNumber", "BankCode", "IBAN"

  - `connectedAccounts.accountIdentifiers.value` (string,null)

  - `connectedAccounts.lastUpdated` (string)
    Account Last Updated Date

  - `unConnectedAccounts` (array,null)
    List of Credit Accounts UnConnected

  - `unConnectedAccounts.brandId` (string,null)
    Id of the Open Banking Brand

  - `unConnectedAccounts.providerId` (string,null)
    Id of the Open Banking Provider

  - `unConnectedAccounts.lenderName` (string,null)
    Name of the Credit Information Provider

  - `unConnectedAccounts.connectionSupported` (boolean)
    Flag to indicate if we have matched the Open Banking Provider
with the Credit Information Provider

  - `unConnectedAccounts.isClosed` (boolean)
    Flag to indicate if the Credit Information account is closed

  - `unConnectedAccounts.creditInformationAccountStatus` (string,null)
    Account Status provided by the Credit Information Provider

  - `unConnectedAccounts.creditInformationAccountType` (string)
    Enum: "Other", "CurrentAccount", "CreditCard", "Mortgage", "Loan", "Savings", "BuyNowPayLater", "Utilities"

  - `unConnectedAccounts.currency` (string,null)
    Currency of the Account

  - `unConnectedAccounts.accountIdentifiers` (array,null)
    List of Account Identifiers

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 500 fields
